summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorsezanzeb2022-01-01 13:05:10 +0100
committersezanzeb2022-01-01 13:05:10 +0100
commitc7a88c6bc25c904e78a8704cd818169e8812a0fd (patch)
treeadae1f2daeed6ff527d97cf21c05047eff0bcca7
parent153b4677ad7b34c4e7887a696e60a345e9769d25 (diff)
downloadaur-c7a88c6bc25c904e78a8704cd818169e8812a0fd.tar.gz
rename in post-install
-rw-r--r--input-remapper-git.install11
1 files changed, 8 insertions, 3 deletions
diff --git a/input-remapper-git.install b/input-remapper-git.install
index 2f87bafa9cb7..73b9801f1962 100644
--- a/input-remapper-git.install
+++ b/input-remapper-git.install
@@ -1,12 +1,17 @@
post_install() {
- systemctl enable key-mapper
- systemctl start key-mapper
+ systemctl stop key-mapper || true
+ systemctl disable key-mapper || true
+
+ systemctl enable input-remapper
+ systemctl start input-remapper
}
post_upgrade() {
if [ -d "/run/systemd/system/" ] && systemctl is-active --quiet key-mapper
then
- systemctl restart key-mapper
+ systemctl stop key-mapper || true
+ systemctl disable key-mapper || true
+ systemctl restart input-remapper
fi
}